Subject: Re: [PATCH v2 1/1] Allow reworking with a file after deciding on all its hunks

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Jan 2026 08:29:41 -0800

Samuel Abraham <[email-masked]> writes:

> Hello Junio, thank you for your review.
> Here I explain my decision to move the "git apply" in patch_update_file()
> to the caller.
>
> Does it sound like a valid reason to make the move?

I am not sure, but as long as this is an optional feature, users can
choose not to opt in if they do not like the new "all or none"
semantics, I guess.

Thanks.